/*
	Spectroscopic Toolkit version 1.60 by Pieter Suurmond, december 1, 2002.
    Put all functions prototypes for cXX_xxxx.c files here.
    Notice ST_wavelets.h must be included before this file can be included 
    because struct pointer ENGINE must be (forwardly) declared.
*/

/*---------------------------------------------------------------------------------------------*/
short c00_example0 (ENGINE E, FILE* msg);
short c00_example1 (ENGINE E, FILE* msg);
short c00_phaseTest(ENGINE E, FILE* msg);
short c00_expTest  (ENGINE E, FILE* msg);

/*---------------------------------------------------------------------------------------------*/
short c01_twoWeeks(ENGINE E, FILE* msg);

/*---------------------------------------------------------------------------------------------*/
short c02_smear(unsigned short  selected,       /* 100 * Atomic number  + ionisation level.    */
                double          strength,       /* Linear overall amplitude 3.20 is ok for Au. */
                double          start,          /* Starttime in seconds.                       */
                double          duration,       /* 'effective duration' in seconds.            */
                short           up,             /* 0 for descending, 1 for ascending scale.    */
                short           jj,             /* Scrambles TOP times if nonzero (with J*J).  */
                ENGINE          E,
                FILE*           msg);

/*---------------------------------------------------------------------------------------------*/
short c03_H(ENGINE E, FILE* msg);

/*---------------------------------------------------------------------------------------------*/
short c04_Mendelejev(ENGINE E, FILE* msg);

short c04_Xenofobia(ENGINE  E,            /* Pass pointer to earlier created dsp engine object.  */
                    FILE*   msg,          /* Any textfile, stdout, or NULL to disable messaging. */
                    double  startTime,    /* Starttime in seconds (at least not negative).       */
                    double  timeStretch); /* This parameter determines tempo, value > 1 slows it */
                                          /* down, value < 1 speeds it up.                       */

/*---------------------------------------------------------------------------------------------*/
short c05_niceHydrogenBirds(ENGINE E, FILE* msg);

/*---------------------------------------------------------------------------------------------*/
short c06_Hbells(ENGINE E, FILE* msg);

/*---------------------------------------------------------------------------------------------*/
short c06_Hmelody(ENGINE E, FILE* msg);

/*---------------------------------------------------------------------------------------------*/
short c06_Hsplit(ENGINE E, FILE* msg);

